import React from "react";

import Layout from "../components/layout";
import Seo from "../components/seo";
import "../scss/services.scss";

const VosBesoins = () => {
	return (
		<Layout>
			<Seo title="Vos besoins" />
			<div className="page-content">
				<section className="pages-sections">
					<h3 className="section-title" id="web-dev">
						Développement web
					</h3>
					<p className="section-paragraph">
						Nous créons le site dont vous avez besoin grâce à des technologies
						ayant fait leurs preuves. Un développement par itération vous
						garanti un suivi régulier du produit et une première version au plus
						vite. Vos applications web sont testées, leur garantissant une
						stabilité et la possibilité d'évoluer.
					</p>
				</section>
				<section className="pages-sections">
					<h3 className="section-title" id="app-dev">
						Développement applicatif
					</h3>
					<p className="section-paragraph">
						Nous développons les applications répondant aux besoins précis de
						votre entreprise. Nous prendrons à coeur l'aspect sécurité de
						l'application, assurant ainsi une protection optimale de vos données
						commerciales.
					</p>
				</section>
				<section className="pages-sections">
					<h3 className="section-title" id="course-and-maintenance">
						Formation et assistance
					</h3>
					<p className="section-paragraph">
						Nous vous proposons un grand catalogue de formations : système
						d'exploitation Debian et dérivés, suite LibreOffice, base de
						données, usage de Wordpress et Drupal. Nous intervenons aussi sur
						des systèmes déjà en place dans votre entreprise pour en assurer la
						maintenance.
					</p>
				</section>
				<section className="pages-sections">
					<h3 className="section-title" id="network">
						Réseau
					</h3>
					<p className="section-paragraph">
						Nous nous chargeons de la maintenance de vos infrastructures
						réseaux. Leur optimisation ainsi que leur sécurité fait partie de
						nos priorités.
					</p>
				</section>
			</div>
		</Layout>
	);
};

export default VosBesoins;
